CREATE TABLE ben_pl_bnf_ctfn_prvdd (
    PL_BNF_CTFN_PRVDD_ID      NUMBER(18, 0) ,
    BNF_CTFN_TYP_CD           VARCHAR2(120)     NOT NULL,
    BNF_CTFN_RECD_DT          DATE          ,
    CVRD_BNF_CTFN_RECD_DT     DATE          ,
    BNF_CTFN_RQD_FLAG         VARCHAR2(120)     NOT NULL,
    PL_BNF_ID                 NUMBER(18, 0)     NOT NULL,
    PRTT_ENRT_ACTN_ID         NUMBER(18, 0)     NOT NULL,
    BUSINESS_GROUP_ID         NUMBER(18, 0)     NOT NULL,
    PBC_ATTRIBUTE_CATEGORY    VARCHAR2(120) ,
    PBC_ATTRIBUTE1            VARCHAR2(600) ,
    PBC_ATTRIBUTE2            VARCHAR2(600) ,
    PBC_ATTRIBUTE3            VARCHAR2(600) ,
    PBC_ATTRIBUTE4            VARCHAR2(600) ,
    PBC_ATTRIBUTE5            VARCHAR2(600) ,
    PBC_ATTRIBUTE6            VARCHAR2(600) ,
    PBC_ATTRIBUTE7            VARCHAR2(600) ,
    PBC_ATTRIBUTE8            VARCHAR2(600) ,
    PBC_ATTRIBUTE9            VARCHAR2(600) ,
    PBC_ATTRIBUTE10           VARCHAR2(600) ,
    PBC_ATTRIBUTE11           VARCHAR2(600) ,
    PBC_ATTRIBUTE12           VARCHAR2(600) ,
    PBC_ATTRIBUTE13           VARCHAR2(600) ,
    PBC_ATTRIBUTE14           VARCHAR2(600) ,
    PBC_ATTRIBUTE15           VARCHAR2(600) ,
    PBC_ATTRIBUTE16           VARCHAR2(600) ,
    PBC_ATTRIBUTE17           VARCHAR2(600) ,
    PBC_ATTRIBUTE18           VARCHAR2(600) ,
    PBC_ATTRIBUTE19           VARCHAR2(600) ,
    PBC_ATTRIBUTE20           VARCHAR2(600) ,
    PBC_ATTRIBUTE21           VARCHAR2(600) ,
    PBC_ATTRIBUTE22           VARCHAR2(600) ,
    PBC_ATTRIBUTE23           VARCHAR2(600) ,
    PBC_ATTRIBUTE24           VARCHAR2(600) ,
    PBC_ATTRIBUTE25           VARCHAR2(600) ,
    PBC_ATTRIBUTE26           VARCHAR2(600) ,
    PBC_ATTRIBUTE27           VARCHAR2(600) ,
    PBC_ATTRIBUTE28           VARCHAR2(600) ,
    PBC_ATTRIBUTE29           VARCHAR2(600) ,
    PBC_ATTRIBUTE30           VARCHAR2(600) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    PROGRAM_APP_NAME          VARCHAR2(120) ,
    PROGRAM_NAME              VARCHAR2(120) ,
    PROGRAM_UPDATE_DATE       DATE          ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    ENDED_PER_IN_LER_ID       NUMBER(18, 0) ,
    DOCS_PRVDD_DTLS_ID        NUMBER(18, 0) ,
    CONFIG_ID_1               NUMBER(18, 0) ,
    CONFIG_ID_2               NUMBER(18, 0) ,
    CONFIG_ID_3               NUMBER(18, 0) ,
    CONFIG_ID_4               NUMBER(18, 0) ,
    CONFIG_ID_5               NUMBER(18, 0) ,
    CONFIG_CHAR_1             VARCHAR2(960) ,
    CONFIG_CHAR_2             VARCHAR2(960) ,
    CONFIG_CHAR_3             VARCHAR2(960) ,
    CONFIG_CHAR_4             VARCHAR2(960) ,
    CONFIG_CHAR_5             VARCHAR2(960) ,
    CONFIG_DATE_1             DATE          ,
    CONFIG_DATE_2             DATE          ,
    CONFIG_DATE_3             DATE          ,
    CONFIG_DATE_4             DATE          ,
    CONFIG_DATE_5             DATE          ,
    CONFIG_NUM_1              NUMBER        ,
    CONFIG_NUM_2              NUMBER        ,
    CONFIG_NUM_3              NUMBER        ,
    CONFIG_NUM_4              NUMBER        ,
    CONFIG_NUM_5              NUMBER        ,
    PL_BNF_CTFN_PRVDD_ID      NUMBER(18, 0) ,
    BNF_CTFN_TYP_CD           VARCHAR2(120)     NOT NULL,
    BNF_CTFN_RECD_DT          DATE          ,
    CVRD_BNF_CTFN_RECD_DT     DATE          ,
    BNF_CTFN_RQD_FLAG         VARCHAR2(120)     NOT NULL,
    PL_BNF_ID                 NUMBER(18, 0)     NOT NULL,
    PRTT_ENRT_ACTN_ID         NUMBER(18, 0)     NOT NULL,
    BUSINESS_GROUP_ID         NUMBER(18, 0)     NOT NULL,
    PBC_ATTRIBUTE_CATEGORY    VARCHAR2(120) ,
    PBC_ATTRIBUTE1            VARCHAR2(600) ,
    PBC_ATTRIBUTE2            VARCHAR2(600) ,
    PBC_ATTRIBUTE3            VARCHAR2(600) ,
    PBC_ATTRIBUTE4            VARCHAR2(600) ,
    PBC_ATTRIBUTE5            VARCHAR2(600) ,
    PBC_ATTRIBUTE6            VARCHAR2(600) ,
    PBC_ATTRIBUTE7            VARCHAR2(600) ,
    PBC_ATTRIBUTE8            VARCHAR2(600) ,
    PBC_ATTRIBUTE9            VARCHAR2(600) ,
    PBC_ATTRIBUTE10           VARCHAR2(600) ,
    PBC_ATTRIBUTE11           VARCHAR2(600) ,
    PBC_ATTRIBUTE12           VARCHAR2(600) ,
    PBC_ATTRIBUTE13           VARCHAR2(600) ,
    PBC_ATTRIBUTE14           VARCHAR2(600) ,
    PBC_ATTRIBUTE15           VARCHAR2(600) ,
    PBC_ATTRIBUTE16           VARCHAR2(600) ,
    PBC_ATTRIBUTE17           VARCHAR2(600) ,
    PBC_ATTRIBUTE18           VARCHAR2(600) ,
    PBC_ATTRIBUTE19           VARCHAR2(600) ,
    PBC_ATTRIBUTE20           VARCHAR2(600) ,
    PBC_ATTRIBUTE21           VARCHAR2(600) ,
    PBC_ATTRIBUTE22           VARCHAR2(600) ,
    PBC_ATTRIBUTE23           VARCHAR2(600) ,
    PBC_ATTRIBUTE24           VARCHAR2(600) ,
    PBC_ATTRIBUTE25           VARCHAR2(600) ,
    PBC_ATTRIBUTE26           VARCHAR2(600) ,
    PBC_ATTRIBUTE27           VARCHAR2(600) ,
    PBC_ATTRIBUTE28           VARCHAR2(600) ,
    PBC_ATTRIBUTE29           VARCHAR2(600) ,
    PBC_ATTRIBUTE30           VARCHAR2(600) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    PROGRAM_APP_NAME          VARCHAR2(120) ,
    PROGRAM_NAME              VARCHAR2(120) ,
    PROGRAM_UPDATE_DATE       DATE          ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    ENDED_PER_IN_LER_ID       NUMBER(18, 0) ,
    DOCS_PRVDD_DTLS_ID        NUMBER(18, 0) ,
    CONFIG_ID_1               NUMBER(18, 0) ,
    CONFIG_ID_2               NUMBER(18, 0) ,
    CONFIG_ID_3               NUMBER(18, 0) ,
    CONFIG_ID_4               NUMBER(18, 0) ,
    CONFIG_ID_5               NUMBER(18, 0) ,
    CONFIG_CHAR_1             VARCHAR2(960) ,
    CONFIG_CHAR_2             VARCHAR2(960) ,
    CONFIG_CHAR_3             VARCHAR2(960) ,
    CONFIG_CHAR_4             VARCHAR2(960) ,
    CONFIG_CHAR_5             VARCHAR2(960) ,
    CONFIG_DATE_1             DATE          ,
    CONFIG_DATE_2             DATE          ,
    CONFIG_DATE_3             DATE          ,
    CONFIG_DATE_4             DATE          ,
    CONFIG_DATE_5             DATE          ,
    CONFIG_NUM_1              NUMBER        ,
    CONFIG_NUM_2              NUMBER        ,
    CONFIG_NUM_3              NUMBER        ,
    CONFIG_NUM_4              NUMBER        ,
    CONFIG_NUM_5              NUMBER        ,
    CONSTRAINT pk_ben_pl_bnf_ctfn_prvdd PRIMARY KEY (PL_BNF_CTFN_PRVDD_ID, PL_BNF_CTFN_PRVDD_ID)
);
